Package org.eclipse.graphiti.ui.internal.editor

# Class GFWorkspaceCommandStackImpl

java.lang.Object
org.eclipse.emf.common.command.BasicCommandStack
org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack
org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl
org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.command.CommandStack`, `org.eclipse.emf.transaction.impl.InternalTransactionalCommandStack`, `org.eclipse.emf.transaction.TransactionalCommandStack`, `org.eclipse.emf.workspace.IWorkspaceCommandStack`

public class GFWorkspaceCommandStackImpl extends org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl

## Field Summary

### Fields inherited from class org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack

`exceptionHandler`

### Fields inherited from class org.eclipse.emf.common.command.BasicCommandStack

`commandList, listeners, mostRecentCommand, saveIndex, top`

## Constructor Summary

Constructors
Constructor
Description
`GFWorkspaceCommandStackImpl(org.eclipse.core.commands.operations.IOperationHistory history)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`execute(org.eclipse.emf.common.command.Command command, Map<?,?> options)`
`void`
`flush()`
`void`
`redo()`
`void`
`undo()`

### Methods inherited from class org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl

`canRedo, canUndo, createTransaction, doExecute, executeTriggers, getDefaultUndoContext, getDefaultUndoContextLabel, getMostRecentCommand, getOperationHistory, getRedoCommand, getResourceUndoContextPolicy, getSavepointUndoContextLabel, getUndoCommand, isSaveNeeded, saveIsDone, setEditingDomain, setResourceUndoContextPolicy`

### Methods inherited from class org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack

`basicExecute, basicRedo, basicUndo, execute, getDomain, getExceptionHandler, getUndoRedoOptions, handleError, handleRollback, makeTriggerTransactionOptions, rollback, setExceptionHandler`

### Methods inherited from class org.eclipse.emf.common.command.BasicCommandStack

`addCommandStackListener, notifyListeners, removeCommandStackListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.command.CommandStack

`addCommandStackListener, execute, removeCommandStackListener`

### Methods inherited from interface org.eclipse.emf.transaction.TransactionalCommandStack

`getExceptionHandler, setExceptionHandler`

## Constructor Details

### GFWorkspaceCommandStackImpl

public GFWorkspaceCommandStackImpl(org.eclipse.core.commands.operations.IOperationHistory history)

## Method Details

### execute

public void execute(org.eclipse.emf.common.command.Command command, Map<?,?> options) throws InterruptedException, org.eclipse.emf.transaction.RollbackException

Specified by:
  `execute` in interface `org.eclipse.emf.transaction.TransactionalCommandStack`
Overrides:
  `execute` in class `org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack`
Throws:
  `InterruptedException`
  `org.eclipse.emf.transaction.RollbackException`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.emf.transaction.impl.InternalTransactionalCommandStack`
Overrides:
  `dispose` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

### flush

public void flush()

Specified by:
  `flush` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `flush` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

### redo

public void redo()

Specified by:
  `redo` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `redo` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

### undo

public void undo()

Specified by:
  `undo` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `undo` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`